---
updatedAt: 2025-05-05T20:05:55.000Z
agentTools:
  projectIndex: https://apidocs.investready.com/llms.txt
---

# Billing Details

Used to query portals billing details. 
Authentication: `Client Credentials` [(learn more)](https://apidocs.investready.com/v1.0/docs/oauth2#section-access-token-types)

> ❗️ Advanced API Integration Permission Required
>
> Email us at <APISupport@InvestReady.com> to gain access to this endpoint.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "api-settings",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.investready.com"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/api/wl/billing/details.json": {
      "post": {
        "summary": "Billing Details",
        "description": "Used to query portals billing details. \nAuthentication: `Client Credentials` [(learn more)](https://apidocs.investready.com/v1.0/docs/oauth2#section-access-token-types)",
        "operationId": "billing-details",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "access_token": {
                    "type": "string",
                    "description": "`Client Credentials Access Token` [(learn more)](https://apidocs.investready.com/v1.0/docs/oauth2#section-access-token-types)"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{  \n   success:1,\n   message:\"Billing Details\",\n   data:{  \n      single_verification_on:\"1\",\n      last_four:\"4242\",\n      card_type:\"Visa\",\n      credits:\"32\"\n   }\n}"
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "php",
              "code": "<?php\n\n$client = new GuzzleHttp\\Client();\n\ntry {\n\t$url = 'https://api.investready.com/api/wl/billing/details.json';\n\t$multipart = [];\n\t$multipart[] = [\n                  'name'     => 'access_token',\n                  'contents' => 'CLIENT_ACCESS_TOKEN'\n                 ];   \n\t$guzzleResponse = $client->request('POST',$url,\t[ 'multipart' => $multipart]);\t  \n  $result = $guzzleResponse->getBody()\n\n} catch (Exception $e) {\n\n  //failed\n  $result = $e->getResponse()->json();\n\n}"
            },
            {
              "language": "text",
              "code": "curl 'https://api.investready.com/api/wl/billing/details.json' \\\n  -A 'GuzzleHttp/6.2.1 curl/7.35.0 PHP/5.5.9-1ubuntu4.14' \\\n  -H 'Content-Type: multipart/form-data; boundary=57b9f6be99cd0' -X POST \\\n  -d '--57b9f6be99cd0\nContent-Disposition: form-data; name=\"access_token\"\nContent-Length: 40\n\n<portal_access_token>\n--57b9f6be99cd0--\n'"
            }
          ],
          "samples-languages": [
            "php",
            "text"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```